<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
if (empty($_POST['zona_nombre'])) 
{
    $errors[] = "Nombre vacío";
} 
else if (!empty($_POST['zona_nombre']))
{
    $zona_nombre=mb_strtoupper(limpiar($_POST['zona_nombre']));
    $can1=mysqli_query($con,"SELECT * FROM zonas where zon_nombre='$zona_nombre' AND empresa='$empresa'  AND sucursal='$sucursal'") or die(mysqli_error($con)); 
    $result = mysqli_num_rows($can1);
    if($result == 0)
    {
        $sql="INSERT into zonas (zon_nombre,sucursal,empresa) 
              VALUES  ('$zona_nombre','$sucursal','$empresa')";
        $query_new_insert = mysqli_query($con,$sql);
        if ($query_new_insert)
        {
            $messages[] = "Zona ha sido ingresado satisfactoriamente.";
        } 
        else
        {
            $errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
        }
    }   
    else 
    {
        $errors []= "Nombre no disponible";
    }
}
        
if (isset($errors))
{
?>
<div class="alert alert-danger" role="alert">
    <button type="button" class="close" data-dismiss="alert">&times;</button>
    <strong>Error!</strong> 
    <?php
        foreach ($errors as $error) 
        {
            echo $error;
        }
    ?>
</div>
<?php
    }
    if (isset($messages))
    {
?>
    <div class="alert alert-success" role="alert">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>¡Bien hecho!</strong>
        <?php
            foreach ($messages as $message) 
            {
                echo $message;
            }
        ?>
    </div>
<?php } ?>